libebook::FB2MetadataCollector Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::FB2MetadataCollector Class Reference

`#include <FB2MetadataCollector.h>`

Inheritance diagram for libebook::FB2MetadataCollector:

## Public Member Functions
| FB2MetadataCollector (librevenge::RVNGPropertyList &metadata)
Public Member Functions inherited from libebook::FB2Collector
virtual | ~FB2Collector ()=0

## Private Member Functions
virtual void | defineMetadataEntry (const char *name, const char *value)
virtual void | openMetadataEntry (const char *name)
virtual void | closeMetadataEntry ()
virtual void | defineID (const char *id)
virtual void | openPageSpan ()
virtual void | closePageSpan ()
virtual void | openBlock ()
virtual void | closeBlock ()
virtual void | openParagraph (const FB2BlockFormat &format)
virtual void | closeParagraph ()
virtual void | openSpan (const FB2Style &style)
virtual void | closeSpan ()
virtual void | insertText (const char *text)
virtual void | openTable (const FB2BlockFormat &format)
virtual void | closeTable ()
virtual void | openTableRow (const FB2BlockFormat &format)
virtual void | closeTableRow ()
virtual void | openTableCell (int rowspan, int colspan)
virtual void | closeTableCell ()
virtual void | insertCoveredTableCell ()
virtual void | insertFootnote (const char *id)
virtual void | insertBitmap (const char *id)
virtual void | insertBitmapData (const char *contentType, const char *base64Data)

## Private Attributes
librevenge::RVNGPropertyList & | m_metadata

## Constructor & Destructor Documentation

libebook::FB2MetadataCollector::FB2MetadataCollector | ( | librevenge::RVNGPropertyList & | metadata | ) |

## Member Function Documentation

void libebook::FB2MetadataCollector::closeBlock | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::closeMetadataEntry | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::closePageSpan | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::closeParagraph | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::closeSpan | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::closeTable | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::closeTableCell | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::closeTableRow | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::defineID | ( | const char * | id | ) |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::defineMetadataEntry | ( | const char * | name,
|  | const char * | value
| ) |  |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::insertBitmap | ( | const char * | id | ) |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::insertBitmapData | ( | const char * | contentType,
|  | const char * | base64Data
| ) |  |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::insertCoveredTableCell | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::insertFootnote | ( | const char * | id | ) |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::insertText | ( | const char * | text | ) |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::openBlock | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::openMetadataEntry | ( | const char * | name | ) |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::openPageSpan | ( |  | ) |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::openParagraph | ( | const FB2BlockFormat & | format | ) |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::openSpan | ( | const FB2Style & | style | ) |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::openTable | ( | const FB2BlockFormat & | format | ) |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::openTableCell | ( | int | rowspan,
|  | int | colspan
| ) |  |
| privatevirtual

Implements libebook::FB2Collector.

void libebook::FB2MetadataCollector::openTableRow | ( | const FB2BlockFormat & | format | ) |
| privatevirtual

Implements libebook::FB2Collector.

## Member Data Documentation

librevenge::RVNGPropertyList& libebook::FB2MetadataCollector::m_metadata
| private

Referenced by defineMetadataEntry().

The documentation for this class was generated from the following files:

- FB2MetadataCollector.h
- FB2MetadataCollector.cpp